

# GetOTAUpdate
<a name="API_GetOTAUpdate"></a>

Gets an OTA update.

Requires permission to access the [GetOTAUpdate](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax
<a name="API_GetOTAUpdate_RequestSyntax"></a>

```
GET /otaUpdates/otaUpdateId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetOTAUpdate_RequestParameters"></a>

The request uses the following URI parameters.

 ** [otaUpdateId](#API_GetOTAUpdate_RequestSyntax) **   <a name="iot-GetOTAUpdate-request-uri-otaUpdateId"></a>
The OTA update ID.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

## Request Body
<a name="API_GetOTAUpdate_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetOTAUpdate_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "otaUpdateInfo": { 
      "additionalParameters": { 
         "string" : "string" 
      },
      "awsIotJobArn": "string",
      "awsIotJobId": "string",
      "awsJobExecutionsRolloutConfig": { 
         "exponentialRate": { 
            "baseRatePerMinute": number,
            "incrementFactor": number,
            "rateIncreaseCriteria": { 
               "numberOfNotifiedThings": number,
               "numberOfSucceededThings": number
            }
         },
         "maximumPerMinute": number
      },
      "awsJobPresignedUrlConfig": { 
         "expiresInSec": number
      },
      "creationDate": number,
      "description": "string",
      "errorInfo": { 
         "code": "string",
         "message": "string"
      },
      "lastModifiedDate": number,
      "otaUpdateArn": "string",
      "otaUpdateFiles": [ 
         { 
            "attributes": { 
               "string" : "string" 
            },
            "codeSigning": { 
               "awsSignerJobId": "string",
               "customCodeSigning": { 
                  "certificateChain": { 
                     "certificateName": "string",
                     "inlineDocument": "string"
                  },
                  "hashAlgorithm": "string",
                  "signature": { 
                     "inlineDocument": blob
                  },
                  "signatureAlgorithm": "string"
               },
               "startSigningJobParameter": { 
                  "destination": { 
                     "s3Destination": { 
                        "bucket": "string",
                        "prefix": "string"
                     }
                  },
                  "signingProfileName": "string",
                  "signingProfileParameter": { 
                     "certificateArn": "string",
                     "certificatePathOnDevice": "string",
                     "platform": "string"
                  }
               }
            },
            "fileLocation": { 
               "s3Location": { 
                  "bucket": "string",
                  "key": "string",
                  "version": "string"
               },
               "stream": { 
                  "fileId": number,
                  "streamId": "string"
               }
            },
            "fileName": "string",
            "fileType": number,
            "fileVersion": "string"
         }
      ],
      "otaUpdateId": "string",
      "otaUpdateStatus": "string",
      "protocols": [ "string" ],
      "targets": [ "string" ],
      "targetSelection": "string"
   }
}
```

## Response Elements
<a name="API_GetOTAUpdate_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [otaUpdateInfo](#API_GetOTAUpdate_ResponseSyntax) **   <a name="iot-GetOTAUpdate-response-otaUpdateInfo"></a>
The OTA update info.  
Type: [OTAUpdateInfo](API_OTAUpdateInfo.md) object

## Errors
<a name="API_GetOTAUpdate_Errors"></a>

 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is temporarily unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** UnauthorizedException **   
You are not authorized to perform this operation.    
 ** message **   
The message for the exception.
HTTP Status Code: 401

## See Also
<a name="API_GetOTAUpdate_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iot-2015-05-28/GetOTAUpdate) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iot-2015-05-28/GetOTAUpdate) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iot-2015-05-28/GetOTAUpdate) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iot-2015-05-28/GetOTAUpdate) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iot-2015-05-28/GetOTAUpdate) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iot-2015-05-28/GetOTAUpdate) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iot-2015-05-28/GetOTAUpdate) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iot-2015-05-28/GetOTAUpdate) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iot-2015-05-28/GetOTAUpdate) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iot-2015-05-28/GetOTAUpdate) 